Kirjoittaja Aihe: Skypen asennus meni jotenkin pieleen ja se rikkoi paketinhallinnan  (Luettu 3833 kertaa)

markohei

  • Käyttäjä
  • Viestejä: 14
    • Profiili
Moro,

Asensin Ubuntu 6.10 ja siihen skypen ao. komennoilla (eka komento tuli annettua turhaan) ja siinä meni jotenkin pieleen. En saa sitä asennettua enkä myöskään poistettua mitenkään.
sudo dpkg -P skype
sudo dpkg -i skype_1.2.0.18-3plf6.06_i386.deb

Jos yritän asentaa skypen uudestaan niin tapahtuu kuten alta näkyy. Myöskään synaptic paketinhallinta ei osaa poistaa skypeä. Lisäksi automaattiset päivitykset menivät rikki tämän takia.

marko@marko-laptop:~$ sudo dpkg -i skype_1.2.0.18-3plf6.06_i386.deb
Selecting previously deselected package skype.
(Reading database ... 101257 files and directories currently installed.)
Preparing to replace skype 1.2.0.18-3plf6.06 (using skype_1.2.0.18-3plf6.06_i386.deb) ...
Unpacking replacement skype ...
dpkg: varoitus - old post-removal script palautti virhetilakoodin 10
dpkg - trying script from the new package instead ...
dpkg: error processing skype_1.2.0.18-3plf6.06_i386.deb (--install):
 aliprosessi new post-removal script palautti virhetilakoodin 10
dpkg: virhe jälkipuhdistuksessa:
  aliprosessi post-removal script palautti virhetilakoodin 10
Errors were encountered while processing:
 skype_1.2.0.18-3plf6.06_i386.deb

markohei

  • Käyttäjä
  • Viestejä: 14
    • Profiili
Jaahas, tämä taiskin olla visainen pulma kun ei vastauksia tule  ;-) Taitaa joutua tekeen Windowsit eli vetään koko asennuksen uusiksi. Ei mitään toimivaa ratkaisua ole tähän löytynyt, vaikka esim. tämänkin palstan juttuja on tullut luettua ja kaikennäköistä kokeiltua. Katsotaan viikonloppuun asti, sitten tulee ensimmäinen rasti seinään ja 6.06 uudelleenasennus ;-) Tuo kyseinen skype paketti asentui kyllä 6.10 pöytäkoneeseen ihan normaalisti, no problem. Samoten 6.06 LTS tapauksessa se toimi sekä pöytäkoneella että läppärissä moiteettomasti. Sen sijaan uusin versio Skype 1.3... ei toiminut 6.06:ssa, siksi käytän tuota 1.2:sta. Ehkä tarvii kokeilla 1.3:sta uudemman kerran kunhan ensin olen asentanut 6.10 uudestaan. Mutta, odotan nyt vielä vähän viikonloppuun asti jos joku tämän hokaa siihen mennessä...

T:Marko

Tonde

  • Käyttäjä
  • Viestejä: 919
  • Feisty Fawn
    • Profiili
Skypehän on helpointa asentaa suoraan Synapticilla, jos vain PLF pakettivarasto on otettu käyttöön.

Oletko jo lukenut?
http://fi.wikibooks.org/wiki/Ubuntu_tutuksi
Heitä hyväsit hitaudelle. Asenna ubuntu!

Jussi52

  • Käyttäjä
  • Viestejä: 416
  • Lubuntu 18.04 ja android vehkeet
    • Profiili
Skypehän on helpointa asentaa suoraan Synapticilla, jos vain PLF pakettivarasto on otettu käyttöön.

Mutta se tarjoaa uusinta linux-mallia, joka ei ainakaan minullakaan toiminut. Palasin käyttämään 1.2:sta ja siihen vielä lisäsin sen hijackerin. Ohjeet löytyy tältä foorumilta kun hakua käyttää.

Ja minä käytin:-) TÄSSÄ
« Viimeksi muokattu: 14.12.06 - klo:12.04 kirjoittanut Jussi39 »
alkaa se kokemus karttua tästäkin

markohei

  • Käyttäjä
  • Viestejä: 14
    • Profiili
Tonde:

1.3 ei toiminu mulla 6.06 LTS:ssä, joten ajattelin ettei se toimi myöskään 6.10:ssä ja asensin suoraan tuon Skype 1.2. Ja tiedän että sen voi asentaa synapticin kautta. Jännä miten se skypen asennus pani "mylälle" koko synapticin, eli enää en voi asentaa ohjelmia sillä, vaan heti tulee valitus tuosta pieleen menneestä skype 1.2 asennuksesta ja koko touhu tökkää siihen... Viikonloppuna tarttee eka kerran asentaa Ubuntu uusiksi, ellei ratkaisevaa vihjettä tule. Harmi. Ja minäkun luulin että tää on ihan triviaali juttu ;-)

T:Marko

Juhhe1

  • Käyttäjä
  • Viestejä: 1062
    • Profiili
    • Valokuva albumini
Tonde:

1.3 ei toiminu mulla 6.06 LTS:ssä, joten ajattelin ettei se toimi myöskään 6.10:ssä ja asensin suoraan tuon Skype 1.2. Ja tiedän että sen voi asentaa synapticin kautta. Jännä miten se skypen asennus pani "mylälle" koko synapticin, eli enää en voi asentaa ohjelmia sillä, vaan heti tulee valitus tuosta pieleen menneestä skype 1.2 asennuksesta ja koko touhu tökkää siihen... Viikonloppuna tarttee eka kerran asentaa Ubuntu uusiksi, ellei ratkaisevaa vihjettä tule. Harmi. Ja minäkun luulin että tää on ihan triviaali juttu ;-)

T:Marko

Auttaisiko sudo apt-get remove skype
tai
sudo aptitude remove skype

Tlp-WS (Workstation) - .:Ubuntu 10.10:.
Xenophobic (Laptop) - .:Ubuntu 10.04:.
Xenophobic-II (Laptop) - .:Ubuntu 10.10:.
TlpEEE (Asus EEE) - .:Crunchbang 10 Statle

markohei

  • Käyttäjä
  • Viestejä: 14
    • Profiili
Auttaisiko sudo apt-get remove skype
tai
sudo aptitude remove skype


Muistaakseni olen kokeillut tuota ensimmäistä, toisesta en ole varma. No, pitää kokeilla. Kerron jos se auttoi... Oli viikonloppuna sen verran kiirettä että jäi vielä uudelleenasennus tekemättä.

T:Marko


fossiili

  • Käyttäjä
  • Viestejä: 785
    • Profiili
Skypehän on helpointa asentaa suoraan Synapticilla, jos vain PLF pakettivarasto on otettu käyttöön.
http://fi.wikibooks.org/wiki/Ubuntu_tutuksi
Hih! Homma onnistui jopa minulta ensi yrittämällä vaikka Kubuntu on ihan uusi tuttavuus. Vähän aikaa piti sählätä ennenkuin osasin lisätä PLF-repon. Piti hakea Googlella hakustringillä +PLF+ubuntu ja poimia dep-määrittely sieltä. Sovellus ei ole niin viisas, että osaisi ite etsiä netistä ;)

markohei

  • Käyttäjä
  • Viestejä: 14
    • Profiili
Jep jep, asensin Ubuntu 6.10:n uudeestaan ja tällä kertaa otin repositorysta löytyvän skype version käyttöön ja vo'la: se toimii. Myös synaptic-paketinhallinta toimii jälleen eikä skype sitä rikkonut tällä kertaa :)

Kiitoksia vastanneille vaikka ratkaisevaa vihjettä ei tullutkaan...

T:Marko

fossiili

  • Käyttäjä
  • Viestejä: 785
    • Profiili
Aikaisemmin onnistuin asentamaan Skypen Ubuntu 6.06 - versioon. Sitten laitoin koneelleni Kubuntu 6.10:n. Nyt viimein saatuani Linux Format lehden mukana sellaisen Ubuntun, jossa on mukana Gnome, KDE ja XFCE asensin sen edelleen samaan osioon kuin edelliset. Pitkään konfiguroituani Gnomea olen todennut, että ainakin valikoissa on KDE:n ohjelmat, ilmeisesti jääminä :-[ Gnome tuntuu silti toimivcn hyvin :)

Nyt oli aika aloittaa ohjelmien asentaminen Ubuntuun, sehän on hyvin helppoa :P

Tietenkään apt-get ei tunne Skypeä. Gnomella löytyy, että pitää lisätä
deb http://packages.freecontrib.org/ubuntu/plf/ dapper free non-free  ???

Jostain syystä Synpticista ei löydy toimintoa repon lisäämiseksi >:(

Ehkä syynä on asennuksen historiallisista syistä johtuva sotkuisuus. Yritetään Adeptilla. Asennetaan se ensin apt-get:illä ja sehän onnistuu ;D

Loggaus ulos ja takaisin sisään. Sitten vain e.m. repository lisätään ja kirjoitetaan hakuriville skype. Mitään ei kuitekaan löydy :'(

Millä ihmeellä tämä tärkeä ja mahdollisimman yleinen ohjelma saadaan asennettua Ubuntuun?

fossiili

  • Käyttäjä
  • Viestejä: 785
    • Profiili
deb http://packages.freecontrib.org/ubuntu/plf/ dapper free non-free
Nyt onnistuin räpeltämään plf-pakettivaraston mukaan luetteloon. Jostain syystä siitä ei voikaan hakea tietoa >:(

Onko niin, että pitää palata takaisin eli asentaa uudelleen vanhempi versio 6.06 jotta Skypen saisi asennettua?

Juuri kun on saanut kaikki haluamansa muutokset työpöytään konfiguroitua :'(

fossiili

  • Käyttäjä
  • Viestejä: 785
    • Profiili
Hommahan on ihan yksinkertainen: Etsitään Googlella "+skype+linux" ja sieltähän löytyy valmis dep-paketti. Se imuroidaan koneelle. Valmistauduin jo tutkimaan kirjasta "Ubuntu Hacks" miten dep-paketti asennetaan kun huomasin, että oikealla hiirennapilla löytyy vaihtoehto, jolla Ubuntu ihan itse hoitaa asian!

Ongelma ratkaistu!

Hiukan ihmetyttää, miten kukaan ei osannut tätä yksinkertaista keinoa kalkkikselle neuvoa ;)